#scores
execute if score worldScore wtc_4 matches 3.. if entity @a[tag=md_ingame] run function myrunir:scoring-manager
execute if score worldScore wtc_4 matches 3.. if entity @a[tag=md_ingame] run function myrunir:deathmanager
execute if score worldScore wtc_20 matches 19.. if entity @a[tag=md_ingame] run function myrunir:battle-song-manager

execute if score worldScore wtc_20 matches 19.. if entity @a[tag=md_ingame] run function myrunir:difficulty-enforcer

execute if score worldScore wtc_20 matches 19.. if entity @a[tag=!md_registerred] run tp @a[tag=!md_registerred] @e[tag=epic_entrance,limit=1,sort=nearest]
execute if score worldScore wtc_20 matches 19.. as @a[tag=!md_registerred] run function md:system-registration
execute if score worldScore wtc_4 matches 3.. if entity @a[tag=!greeted_by_game] run function myrunir:game-greetings

execute if score worldScore wtc_20 matches 19.. if entity @e[tag=host,limit=1,scores={gameStatus=1..}] if entity @a[tag=!md_ingame] run execute as @a[tag=!md_ingame] run function myrunir:late_join

#villager facing
execute if score worldScore wtc_4 matches 3.. as @e[type=minecraft:villager,tag=!tower_wiz,tag=!gate,tag=noAI] at @s run tp @s ^ ^ ^ facing entity @p[distance=..15]
execute if score worldScore wtc_4 matches 3.. as @e[type=minecraft:wandering_trader,tag=!tower_wiz,tag=!gate,tag=noAI] at @s run tp @s ^ ^ ^ facing entity @p[distance=..15]

#tag gate as allies
execute if score worldScore wtc_20 matches 19.. run tag @e[type=villager,tag=gate,tag=!ally] add ally

#accel tp cd when not ingame or in wave
execute if score worldScore wtc_20 matches 19.. if entity @e[tag=host,limit=1,scores={md_wave_timer=1..}] run scoreboard players remove @a[scores={teleportcd=1..}] teleportcd 500
execute if score worldScore wtc_20 matches 19.. if entity @e[tag=host,limit=1,scores={gameStatus=0}] run scoreboard players remove @a[scores={teleportcd=1..}] teleportcd 500

#kill nighrider drops
execute if score worldScore wtc_4 matches 3.. run kill @e[type=item,nbt={Item:{id:"minecraft:leather_horse_armor",Count:1b}}]

#fill hunger if game is not in progress
execute if score worldScore wtc_20 matches 19.. run effect give @a[tag=!md_ingame] saturation 1 1 true

#force adventure mode
execute if score worldScore wtc_20 matches 19.. run gamemode adventure @a[gamemode=survival]

#team manager
execute if score worldScore wtc_20 matches 19.. run team join allied @e[type=#ally,team=!allied]
execute if score worldScore wtc_20 matches 19.. run team join enemy @e[type=#enemy,team=!enemy]

#wave countdown
function myrunir:wave-countdown

#Damned Wraith Marching
execute as @e[tag=damned_wraith] at @s positioned ~ ~ ~ unless entity @e[tag=gate,type=villager,distance=..15,limit=1,sort=nearest] run tp @s ^ ^0.01 ^0.1 facing entity @e[tag=gate,type=villager,distance=15..,limit=1,sort=nearest]

#win/lose checker
#game status scoreboard.
# Gs = 0 -> waiting for players
# GS = 1 -> game in progress
# GS = 2 -> Game win
# GS = 3 -> Game Lose
#
scoreboard players set @a[scores={mr_enemy_deaths=..-1}] mr_enemy_deaths 0

scoreboard players remove @a[scores={mlMusicTimer=1..}] mlMusicTimer 1

#Lose
execute if entity @e[tag=host,limit=1,scores={gameStatus=1,mrCityHP=..0},tag=!lose] run scoreboard players set @e[tag=host,limit=1] gameStatus 3
execute if entity @e[tag=host,limit=1,scores={gameStatus=3,mrCityHP=..0},tag=!lose] run schedule function myrunir:game-lose 10t replace
execute if entity @e[tag=host,limit=1,scores={gameStatus=3,mrCityHP=..0},tag=!lose] run tag @e[tag=host,limit=1] add lose
#Win
execute if entity @e[tag=host,limit=1,scores={gameStatus=1,md_wave=16..},tag=!win] run scoreboard players set @e[tag=host,limit=1] gameStatus 2
execute if entity @e[tag=host,limit=1,scores={gameStatus=2,md_wave=16..},tag=!win] run schedule function myrunir:game-win 10t replace
execute if entity @e[tag=host,limit=1,scores={gameStatus=2,md_wave=16..},tag=!win] run tag @e[tag=host,limit=1] add win

#random tips
execute if score worldScore wtc_20 matches 19.. if entity @e[tag=host,limit=1,scores={randomtip=6000..}] run function myrunir:randomtips

#game progress
execute if entity @e[tag=host,limit=1,scores={gameStatus=1,md_wave_timer=..0}] run function myrunir:wave-manager

#bossbars
execute if score worldScore wtc_4 matches 3.. store result bossbar cityhp value run scoreboard players get @e[tag=host,limit=1] mrCityHP
execute if score worldScore wtc_10 matches 9.. run bossbar set cityhp name ["",{"text":"<< ","bold":true,"color":"dark_aqua"},{"text":"Myrunir Church ","bold":false,"color":"aqua","font":"minecraft:dwarvesc"},{"text":":","color":"aqua"},{"text":" ","color":"yellow"},{"score":{"name":"@e[tag=host,limit=1]","objective":"mrCityHP"},"color":"yellow"},{"text":"/50 HP ","color":"yellow"},{"text":">>","bold":true,"color":"dark_aqua"}]
execute if score worldScore wtc_20 matches 19.. if entity @e[tag=host,limit=1,scores={mrCityGateHP=1..,md_wave_timer=2..}] run bossbar set cityhp visible false
execute if score worldScore wtc_20 matches 19.. if entity @e[tag=host,limit=1,scores={mrCityHP=..49,md_wave_timer=..1}] run bossbar set cityhp visible true

#gate entities
function myrunir:gate/entities

#enemy lurer and scener
execute if score worldScore wtc_4 matches 3.. as @e[type=#enemy,tag=!lured,type=!drowned,type=!phantom,tag=!player_hunter] at @s run function myrunir:enemylurer
execute if score worldScore wtc_4 matches 3.. as @e[type=#enemy,tag=!lured,type=!drowned,type=!phantom,tag=player_hunter] at @s run function myrunir:enemylurer-player
execute as @e[type=#enemy] at @s run function myrunir:enemy-scening

#structures
function myrunir:structures/structure_driver

#votes
function myrunir:vote/driver

#tutorial
execute if entity @a[tag=cutscene_tutorial] run function myrunir:cutscene/tutorial/driver

#triggerboxes
execute if score worldScore wtc_4 matches 3.. run function myrunir:triggerboxes/generic_driver