execute if entity @e[tag=main_gate_name,distance=..10,type=armor_stand] if entity @e[type=#enemy,distance=..10] run scoreboard players remove @e[tag=host,limit=1] mrMainGateHP 3
execute if entity @e[tag=city_gate_name,distance=..10,type=armor_stand] if entity @e[type=#enemy,distance=..10] run scoreboard players remove @e[tag=host,limit=1] mrCityGateHP 2
execute if entity @e[tag=city_name,distance=..10,type=armor_stand] if entity @e[type=#enemy,distance=..10] run scoreboard players remove @e[tag=host,limit=1] mrCityHP 1

execute if entity @e[tag=levitator1,distance=..10,type=armor_stand,tag=!levitator_active] if entity @e[type=#enemy,distance=..15] run scoreboard players add @e[tag=host,limit=1] mr_enemy_levitator1 1
execute if entity @e[tag=levitator2,distance=..10,type=armor_stand,tag=!levitator_active] if entity @e[type=#enemy,distance=..15] run scoreboard players add @e[tag=host,limit=1] mr_enemy_levitator2 1
execute if entity @e[tag=levitator3,distance=..10,type=armor_stand,tag=!levitator_active] if entity @e[type=#enemy,distance=..15] run scoreboard players add @e[tag=host,limit=1] mr_enemy_levitator3 1

#Siege Unit - Dreadnought damage (extra damage every hurt time when dread is around)
execute if entity @e[tag=main_gate_name,distance=..10,type=armor_stand] if entity @e[tag=dreadnought,distance=..5] run scoreboard players remove @e[tag=host,limit=1] mrMainGateHP 3
execute if entity @e[tag=city_gate_name,distance=..10,type=armor_stand] if entity @e[tag=dreadnought,distance=..5] run scoreboard players remove @e[tag=host,limit=1] mrCityGateHP 2
execute if entity @e[tag=south_wall_name,distance=..20,type=armor_stand] if entity @e[tag=dreadnought,distance=..5] run scoreboard players remove @e[tag=host,limit=1] mrSouthWallHP 1
execute if entity @e[tag=city_name,distance=..10,type=armor_stand] if entity @e[tag=dreadnought,distance=..5] run scoreboard players remove @e[tag=host,limit=1] mrCityHP 1

#alert attacks
execute if entity @e[tag=main_gate_name,distance=..10,type=armor_stand] if entity @e[type=#enemy,distance=..10] run title @a[tag=!mg_alert_atk] title ["",{"text":"- Main Gate -","color":"white","font":"minecraft:dwarvesc"}]
execute if entity @e[tag=main_gate_name,distance=..10,type=armor_stand] if entity @e[type=#enemy,distance=..10] run title @a[tag=!mg_alert_atk] subtitle ["",{"text":"Under Attack","color":"red","font":"minecraft:dwarvesc"}]
execute if entity @e[tag=main_gate_name,distance=..10,type=armor_stand] if entity @e[type=#enemy,distance=..10] run tag @a[tag=!mg_alert_atk] add mg_alert_atk

execute if entity @e[tag=city_gate_name,distance=..10,type=armor_stand] if entity @e[type=#enemy,distance=..10] run title @a[tag=!cg_alert_atk] title ["",{"text":"- City Gate -","color":"white","font":"minecraft:dwarvesc"}]
execute if entity @e[tag=city_gate_name,distance=..10,type=armor_stand] if entity @e[type=#enemy,distance=..10] run title @a[tag=!cg_alert_atk] subtitle ["",{"text":"Under Attack","color":"red","font":"minecraft:dwarvesc"}]
execute if entity @e[tag=city_gate_name,distance=..10,type=armor_stand] if entity @e[type=#enemy,distance=..10] run tag @a[tag=!cg_alert_atk] add cg_alert_atk 

execute if entity @e[tag=south_wall_name,distance=..20,type=armor_stand] if entity @e[type=#enemy,distance=..10] run title @a[tag=!sw_alert_atk] title ["",{"text":"- South Wall -","color":"white","font":"minecraft:dwarvesc"}]
execute if entity @e[tag=south_wall_name,distance=..20,type=armor_stand] if entity @e[type=#enemy,distance=..10] run title @a[tag=!sw_alert_atk] subtitle ["",{"text":"Under Attack","color":"red","font":"minecraft:dwarvesc"}]
execute if entity @e[tag=south_wall_name,distance=..20,type=armor_stand] if entity @e[type=#enemy,distance=..10] run tag @a[tag=!sw_alert_atk] add sw_alert_atk

#main gate color change on damage
execute if entity @e[tag=main_gate_name,distance=..10,type=armor_stand] run data merge block -20 -60 -8 {Text1:'["",{"score":{"name":"@e[tag=host,limit=1]","objective":"mrMainGateHP"},"color":"red","bold":true},{"text":"/300HP","color":"red","bold":true}]'}
#south wall
execute if entity @e[tag=south_wall_name,distance=..20,type=armor_stand] run data merge block -21 -60 -8 {Text1:'["",{"score":{"name":"@e[tag=host,limit=1]","objective":"mrSouthWallHP"},"color":"red","bold":true},{"text":"/500HP[Fortified]","color":"red","bold":true}]'}
#city gate
execute if entity @e[tag=city_gate_name,distance=..10,type=armor_stand] run data merge block -22 -60 -8 {Text1:'["",{"score":{"name":"@e[tag=host,limit=1]","objective":"mrCityGateHP"},"color":"red","bold":true},{"text":"/500HP","color":"red","bold":true}]'}
#levitator1 pre-active
execute if entity @e[tag=levitator1,distance=..10,type=armor_stand] run data merge block -23 -60 -8 {Text1:'["",{"score":{"name":"@e[tag=host,limit=1]","objective":"mr_enemy_levitator1"},"color":"#00FF3E","bold":true},{"text":"/300","color":"#00FF3E","bold":true}]'}
#levitator2 pre-active
execute if entity @e[tag=levitator2,distance=..10,type=armor_stand] run data merge block -24 -60 -8 {Text1:'["",{"score":{"name":"@e[tag=host,limit=1]","objective":"mr_enemy_levitator2"},"color":"#00FF3E","bold":true},{"text":"/300","color":"#00FF3E","bold":true}]'}
#levitator3 pre-active
execute if entity @e[tag=levitator3,distance=..10,type=armor_stand] run data merge block -25 -60 -8 {Text1:'["",{"score":{"name":"@e[tag=host,limit=1]","objective":"mr_enemy_levitator3"},"color":"#00FF3E","bold":true},{"text":"/300","color":"#00FF3E","bold":true}]'}
